xfs
[Top] [All Lists]

[PATCH 1/8] xfstests: fix btrfs/002 to not use the scratch dev pool

To: <linux-btrfs@xxxxxxxxxxxxxxx>, <xfs@xxxxxxxxxxx>
Subject: [PATCH 1/8] xfstests: fix btrfs/002 to not use the scratch dev pool
From: Josef Bacik <jbacik@xxxxxxxxxxxx>
Date: Fri, 18 Oct 2013 14:26:23 -0400
Delivered-to: xfs@xxxxxxxxxxx
Dkim-signature: v=1; a=rsa-sha256; c=relaxed/simple; d=fusionio.com; s=default; t=1382120792; bh=Z0ppUYFN6OhFCUXakgq8h2FaH1QE27QTHwDdqomy44M=; h=From:To:Subject:Date; b=Zg9q8DfDZUId3WPVDBw/BgYnPbU2BlVgw/1qqWMvR6hz8JudAKDSMaBfWgMqN4NYw cGtqvp8rz5muk6Q7EINyJHvCzvmWmMjyGEG1eptWKiP85Ni2IwemCRRBXMVKZsJZck jyMAoXJ7t/kqHpz/JvoFOs1IBq3hgj0cklWCLNdY=
This test doesn't need the scratch dev pool and it also doesn't call
_require_scratch_dev_pool, so just kick out the scratch dev pool part of the
test.  Thanks,

Reviewed-by: Anand Jain <anand.jain@xxxxxxxxxx>
Signed-off-by: Josef Bacik <jbacik@xxxxxxxxxxxx>
---
 tests/btrfs/002 | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/tests/btrfs/002 b/tests/btrfs/002
index f4389ae..19a62c6 100755
--- a/tests/btrfs/002
+++ b/tests/btrfs/002
@@ -45,9 +45,8 @@ _need_to_be_root
 _supported_fs btrfs
 _supported_os Linux
 _require_scratch
-_require_scratch_dev_pool
 
-_scratch_pool_mkfs > /dev/null 2>&1 || _fail "mkfs failed"
+_scratch_mkfs > /dev/null 2>&1 || _fail "mkfs failed"
 _scratch_mount
 
 # Create and save sha256sum
-- 
1.8.3.1

<Prev in Thread] Current Thread [Next in Thread>